ATRAIN[] b = new ATRAIN[10];
PImage atrain;
PImage jm;
//import library
import ddf.minim.*;

float x, y;
int speed;
Minim minim;
AudioPlayer player;


void setup() {
  size(320, 915);
  minim = new Minim(this);
  player = minim.loadFile("atrain.mp3");
  player.play();
  jm = loadImage ("street.jpg");
  imageMode(CORNER);
  atrain= loadImage ("thetrain.png");
  for (int i = 0; i < b.length; i++) {
    b[i] = new ATRAIN(random(-100, 0), random(124, 500), random(.004, .05), random(0.5, 1.5));
  }
}

void draw() {
  background(jm);
  for (int i = 0; i < b.length; i++) {
    b[i].move();
    b[i].display();
  }
}

class ATRAIN {
  float x, y, size, speed;

  ATRAIN(float _x, float _y, float _size, float _speed) {
    x = _x;
    y = _y;
    size = _size;
    speed = _speed;
  }

  void move() {
    speed *= 1;
    x += speed;
    if (x > atrain.width*size) {

//      x = width + atrain.height*size;   
      speed = random(5, 5);
    }
    if (x > width) {
      x = -500;
    }
  }


  void display() {
    pushMatrix();
    translate(x, y);
    scale(15*size);
    image(atrain, x, 0);
    popMatrix();
  }
}


